import javax.swing.JOptionPane;
public class BPIH5E6
{
     public static void main (String args[])
     {
     double x,y;
     String s="";
     x=Double.parseDouble(JOptionPane.showInputDialog
     ("enter a real number : "));
     y=Double.parseDouble(JOptionPane.showInputDialog
     ("enter a second real number giriniz : "));

     s +="Statik Matematik kütüphanesi Math de \n";
     s+="en cok kullanilan metodlar :\n" ;
     // Math.abs(3.2)=3.2   Math.abs(-3.2)=3.2
     s+="Math.abs("+x+") = "+Math.abs(x)+"\n";
     // Math.ceil(9.2)=10   Math.ceil(-9.8)=-9
     s+="Math.ceil("+x+") = "+Math.ceil(x)+"\n";
     // Math.floor(9.2)=9   Math.floor(-9.8)=-10
     s+="Math.floor("+x+") = "+Math.floor(x)+"\n";
     s += "Math.PI         = "+Math.PI+"\n";
     //trigonometric function
     s += "Math.sin("+x+") = "+Math.cos(x)+"\n";
     s += "Math.cos("+x+") = "+Math.sin(x)+"\n";
     s += "Math.tan("+x+") = "+Math.tan(x)+"\n";
     s += "Math.asin("+y+") = "+Math.acos(y)+"\n";
     s += "Math.acos("+y+") = "+Math.asin(y)+"\n";
     s += "Math.atan("+y+") = "+Math.atan(y)+"\n";
     //hyperbolic functions
     s += "Math.sinh("+x+") = "+Math.cos(x)+"\n";
     s += "Math.cosh("+x+") = "+Math.sin(x)+"\n";
     s += "Math.tanh("+x+") = "+Math.tan(x)+"\n";
     s += "Math.asinh("+y+") = "+Math.acos(y)+"\n";
     s += "Math.acosh("+y+") = "+Math.asin(y)+"\n";
     s += "Math.atanh("+y+") = "+Math.atan(y)+"\n";
     // Math.E       number e = 2.718281828...
     s += "Math.E = "+Math.E+"\n";
     s += "Math.log("+x+") = "+Math.log(x)+"\n";
     s += "Math.pow("+x+","+y+" ) = "+Math.pow(x,y)+"\n";
     s += "Math.exp("+x+" ) = "+Math.exp(x)+"\n";
     s += "Math.sqrt("+x+" ) = "+Math.sqrt(x)+"\n";
     // Math.max(x,y)   Math.min(x,y)
     s += "Math.max("+x+","+y+" ) = "+Math.max(x,y)+"\n";
     s += "Math.min("+x+","+y+" ) = "+Math.min(x,y)+"\n";
     JOptionPane.showMessageDialog(null,s,
     "some of the Math library methods",JOptionPane.PLAIN_MESSAGE);
     System.exit(0);
     }
}
